//
//  AfficheurPreferences.h
//  Afficheur
//
//  Created by kichi on 08/04/05.
//  Copyright 2008 Katsuhiko Ichinose. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "KeyEquivView.h"


@interface AfficheurPreferences : NSObject {
	IBOutlet id	_panel;
	IBOutlet id	_viewNil;
	IBOutlet id	_viewGeneral;
	IBOutlet id	_viewAccount;
	IBOutlet id	_label;
	IBOutlet id	_jaikuAPI;
	IBOutlet id	_nowaAPI;
	IBOutlet id	_textField;

	BOOL		_openFirst;
	NSToolbar*	_panelToolBar;
	NSString*	_currentItem;

	BOOL		_generalUseGrowl;
	BOOL		_generalEncodeTinyURL;
	NSString*	_accountTwitterUser;
	NSString*	_accountTwitterPass;
	NSString*	_accountJaikuUser;
	NSString*	_accountJaikuPass;
	NSString*	_accountTumblrUser;
	NSString*	_accountTumblrPass;
	NSString*	_accountWassrUser;
	NSString*	_accountWassrPass;
	NSString*	_accountNowaUser;
	NSString*	_accountNowaPass;
	NSString*	_accountFrepaUser;
	NSString*	_accountFrepaPass;

	KeyEquivView*	_keyEquivView;
}

enum {
	PostToEnter = 0,
	PostToControlEnter,
	PostToOptionEnter,
	PostToShiftEnter,
	PostToControlShiftEnter,
	PostToOptionShiftEnter,
};

- (IBAction)onOK:(id)sender;
- (IBAction)onCancel:(id)sender;
- (IBAction)onClear:(id)sender;

- (BOOL)postTwitter;
- (BOOL)postJaiku;
- (BOOL)postTumblr;
- (BOOL)postWassr;
- (BOOL)postNowa;
- (BOOL)postFrepa;
- (BOOL)generalDockIcon;
- (BOOL)generalStartAtLogin;
- (BOOL)generalUseGrowl;
- (BOOL)generalEncodeTinyURL;
- (BOOL)generalGrabURL;
- (NSString *)generalTextURL;
- (BOOL)generalGrabITunes;
- (NSString *)generalTextITunes;
- (UInt32)generalHotKey;
- (int)generalPostTo;
- (int)generalPostToALT;
- (NSString *)accountTwitterUser;
- (NSString *)accountTwitterPass;
- (NSString *)accountJaikuUser;
- (NSString *)accountJaikuPass;
- (NSString *)accountJaikuLocation;
- (NSString *)accountTumblrUser;
- (NSString *)accountTumblrPass;
- (NSString *)accountWassrUser;
- (NSString *)accountWassrPass;
- (NSString *)accountNowaUser;
- (NSString *)accountNowaPass;
- (NSString *)accountFrepaUser;
- (NSString *)accountFrepaPass;

- (void)applicationWillTerminate;

- (void)doDialogWithWindow:(NSWindow *)window
				  selector:(SEL)selector
					target:(id)target;
@end
