//
//  TextViewHUD.m
//  Afficheur
//
//  Created by kichi on 08/04/16.
//  Copyright 2008 Katsuhiko Ichinose. All rights reserved.
//

#import "TextViewHUD.h"


@implementation TextViewHUD

- (id)initWithController:(id)controller;
{
	self = [super init];
	if (self)
	{
		_controller = controller;
		[self setFieldEditor:YES];
		[self setInsertionPointColor:[NSColor whiteColor]];
	}
	return self;
}

- (void)setupSelectedTextAttributes
{
	NSDictionary *attr = [self selectedTextAttributes];
	[self setSelectedTextAttributes:
	 [NSDictionary dictionaryWithObjectsAndKeys:
	  [NSColor grayColor], @"NSBackgroundColor",
	  [attr valueForKey:@"NSColor"], @"NSColor",
	  nil]];
}

- (void)keyDown:(NSEvent *)theEvent
{
	if ([theEvent keyCode] == 0x24)
	{
		if (_controller && [_controller respondsToSelector:@selector(enterKeyDown:)])
		{
			[_controller performSelector:@selector(enterKeyDown:)
								  withObject:[NSNumber numberWithInt:[theEvent modifierFlags]]];
		}
	}
	[super keyDown:theEvent];
}

- (void)keyUp:(NSEvent *)theEvent
{
	if ([theEvent keyCode] == 0x24)
	{
		if (_controller && [_controller respondsToSelector:@selector(enterKeyUp:)])
		{
			[_controller performSelector:@selector(enterKeyUp:)
							  withObject:[NSNumber numberWithInt:[theEvent modifierFlags]]];
		}
	}
	[super keyUp:theEvent];
}

@end
